@keyframes blink {
    0% { box-shadow: 0 0 10px #000; }
    50% { box-shadow: none; }
    100% { box-shadow: 0 0 10px #000; }
}

@-webkit-keyframes blink {
    0% { box-shadow: 0 0 10px #000; }
    50% { box-shadow: 0 0 0; }
    100% { box-shadow: 0 0 10px #000; }
}

:root {
  --border-color: rgba(0,0,0,0.12);
  --footer-height: 75px;
}

html {
    width: 100%;
    height: 100vh;
    display: table;
}

body {
    width: 100%;
    display: table-cell;
}

header .logo, .login .card-header img {
	max-height: 60px;
}

#content {
	margin-top: 75px;
	width: 100%;
	height: fit-content;
}

#sidemenu {
	transition: 0s;
    margin-top: 15px;
    min-width: 250px;
    z-index: 1;
    padding-top: 75px;
    border-right: 1px solid var(--border-color);
    font-weight: 500;
    background: white;
	height: 150vh;
}

.header {
	box-shadow: 0px 0px 8px rgb(0 0 0 / 40%);
	color: white;
	overflow: hidden;
    position: fixed;
    top: 0;
    width: 100%;
	height: 75px;
	z-index: 20;
}

.header a, .header a:hover, .header .mdi, .circle-button .mdi {
	color: white;
}

a, a.page-link {
	color: var(--main-color);
	text-decoration: none;
}

a:hover, a.page-link:hover {
	color: var(--hover-color);
}

a.page-link:focus {
	color: var(--main-color);
    background-color: unset;
}

a .mdi {
	 color: inherit;
}

.mdi, 
.nav-tabs > li > button, 
.button-scroll .mdi, .tablebar .mdi,
.form-floating label {
    color: #888;
}

.btn .mdi {
	color: inherit;
}

.mdi-hover:hover, .mdi-hover:focus {
	background-color:rgba(0,0,0,.1);
	border-radius:50%;
}

.mdi-hover {
    padding-top: 10px;
    padding-bottom: 5px;
	padding-left: 8px;
    padding-right: 8px;
	outline: none;
	cursor: pointer;
}

.no-icon {
	margin-left: 25px;
}

.main-color {
	color: var(--main-color);
}

.main-bg {
	background-color: var(--main-color) !important;
	color: white;
}

.opcao {
	display: flex;
	align-items: center;
    padding: 1px 10px;
    font-size: 16px;
    line-height: 40px;
    cursor: pointer;
    width: 100%;
    color: rgba(97,97,97,0.87);
}

.opcao:hover {
    background: #eee;
}

.opcao[data-bs-toggle="collapse"]:after {
	font: normal normal normal 24px/1 "Material Design Icons";
	position: absolute;
    left: 220;
    margin: auto;
}

.opcao[aria-expanded="false"]:after {
	content: "\F0140";
}

.opcao[aria-expanded="true"]:after {
	content: "\F0143";
}

#toolmenu .opcao {
    font-weight: 400;
	margin-right: 20px;
}

#toolmenu {
	display: none;
	z-index: 1060;
	position:absolute;
	padding-top: 8px;
	padding-bottom: 8px;
	box-shadow: 0 8px 10px 1px rgba(0,0,0,0.14), 0 3px 14px 2px rgba(0,0,0,0.12), 0 5px 5px -3px rgba(0,0,0,0.2);
	webkit-box-shadow: 0 8px 10px 1px rgba(0,0,0,0.14), 0 3px 14px 2px rgba(0,0,0,0.12), 0 5px 5px -3px rgba(0,0,0,0.2);
	border: 0;
    -webkit-border-radius: 2px;
    border-radius: 2px;
	-webkit-transform: translateZ(0);
	transform: translateZ(0);
	background: white;
    outline: none;
    overflow: hidden;
}

#form {
	margin-bottom: var(--footer-height);
}

#footer {
	z-index: 2;
    text-align: center;
    background-color: var(--main-color);
	box-shadow: 0px 0px 8px rgb(0 0 0 / 40%);
    color: white;
    padding: 5px 0;
    height: var(--footer-height);
    bottom: 0;
    position: fixed;
    width: 100%;
}

.menu-active, .menu-active .mdi {
    color: var(--main-color);
    background: linear-gradient(90deg, transparent 1px, #eee 5px);
	position: relative;
}

.menu-active::before {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 1;
    width: 4px;
    content: "";
    background-color: var(--main-color);
	border-top-left-radius: 7.5px;
    border-bottom-left-radius: 7.5px;
} 

.nav-tabs .nav-item.show .nav-link, .nav-tabs .nav-link.active, .nav-tabs .nav-link.active .mdi {
    color: var(--main-color);
}

.toolbar {
	display: none;
	width: 80px;
	float: right;
	margin-right: 10px;
}

.tablebar-parent {
	display: flex;
	margin-top: 1rem;
    margin-bottom: 1rem;
	align-items: center;
	min-height: 40px;
}

.circle-button {
	position: fixed;
	right: 30px;
	z-index: 99;
	border: none;
	outline: none;	
	cursor: pointer;
	padding: 10px 15px;
	border-radius: 50%;
	-webkit-box-shadow: 0 6px 10px 0 rgba(0,0,0,0.3), 0 1px 18px 0 rgba(0,0,0,0.12), 0 3px 5px -1px rgba(0,0,0,0.2);
    box-shadow: 0 6px 10px 0 rgba(0,0,0,0.3), 0 1px 18px 0 rgba(0,0,0,0.12), 0 3px 5px -1px rgba(0,0,0,0.2);
}

.circle-button:hover {
	opacity: 0.5;
}

.button-add {
	background-color: var(--main-color);
	bottom: calc(20px + var(--footer-height));
}

.button-scroll {
	background-color: #eee;
	bottom: calc(90px + var(--footer-height));
	display: none;
}

.faixa {
    background: linear-gradient(90deg, var(--main-color), transparent);
    width: 100%;
    height: 7px;
	margin-bottom: 15px;
}

#account-parent {
	overflow-x: hidden;
}

#filter-parent {
    vertical-align: middle;
    align-items: center;
    display: inline-flex;
}

#filter-wrapper {
	margin-left: 30px;
	align-items: center;
    background-color: rgba(0,0,0,0.071);
    padding: 5px;
    border-radius: 8px;
	width: 330px;
}

#filter-box {
    outline: none;
	border-color: transparent;
    background-color: transparent;
    font-size: 20px;
    color: white;
}

#filter-box::-webkit-input-placeholder {
	color: white !important;
	font-size: 24px;
}

.input-group ::-webkit-input-placeholder {
    color: #888 !important;
	font-size: 16px;
}

@media (min-width: 768px) {
	#filter-parent {
		display: inline-flex;
	}
	#account-parent {
		margin-left: unset;
	}
}

@media (max-width: 768px) { 
	#filter-parent {
		display: none;
	}
	#account-parent {
		margin-left: auto;
	}
}

.btn-primary {
    background-color: var(--main-color);
    border-color: var(--main-color);
}

.btn-primary:hover {
    background-color: var(--hover-color);
    border-color: var(--hover-color);
}

.badge-counter {
    position: absolute;
    left: 33;
    bottom: 0;
}

.custom-file {
    position: relative;
}

.custom-file-input {
    width: 100%;
    opacity: 0;
	height: calc(1.5em + .75rem + 2px);
}

.custom-file-label {
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    height: calc(1.5em + .75rem + 2px);
	padding: .375rem .75rem;
    color: #888;
    border: 1px solid #ced4da;
    border-radius: .25rem;
	overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.custom-file-label:lang(en)::after, .custom-file-label:lang(pt)::after {
    content: "\F021F";
    font: normal normal normal 24px/1 "Material Design Icons";
	height: calc(calc(2.25rem + 2px) - 1px * 2);
}

.custom-file-label::after {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    padding: .375rem .55rem;
    color: #888;
    background-color: #e9ecef;
    border-left: inherit;
    border-radius: 0 .25rem .25rem 0;
}

.custom-file-label.disabled {
	background: #e9ecef;
	cursor: not-allowed;
}

.modal-body .fw_img {
	max-width: 270px;
}

.dataTable .fw_img {
	max-width: 150px;
	max-height: 100px;
	margin: 2px 0;
}

.select2-dropdown {
	z-index: 1060 !important;
}

.select2-selection--multiple {
	height: 60px !important;
}

.select2-selection--single {
	height: 38px !important;
}

.select2-selection--single .select2-selection__rendered {
	margin-top: 4px;
}

.select2-selection--multiple .select2-selection__choice {
	background-color: var(--main-color) !important;
    border: 1px solid var(--main-color) !important;
}

.select2-selection__arrow b {
	display: none;
}

/* https://materialdesignicons.com/bootstrap */
.mdi::before {
    font-size: 24px;
}
.btn-xs .mdi::before {
    font-size: 18px;
    top: 3px;
}
.btn-sm .mdi::before {
    font-size: 18px;
    top: 3px;
}
.dropdown-menu .mdi {
    width: 18px;
}
.dropdown-menu .mdi::before {
    position: relative;
    top: 4px;
    left: -8px;
}
.nav .mdi::before {
    position: relative;
    top: 4px;
}
.navbar .navbar-toggle .mdi::before {
    position: relative;
    top: 4px;
    color: #FFF;
}
.breadcrumb .mdi::before {
    position: relative;
    top: 4px;
}
.breadcrumb a:hover {
    text-decoration: none;
}
.breadcrumb a:hover span {
    text-decoration: underline;
}
.alert .mdi::before {
    position: relative;
    top: 4px;
    margin-right: 2px;
}
.input-group-addon .mdi::before {
    position: relative;
    top: 3px;
}
.navbar-brand .mdi::before {
    position: relative;
    top: 2px;
    margin-right: 2px;
}
.list-group-item .mdi::before {
    position: relative;
    top: 3px;
    left: -3px
}
/* https://www.w3schools.com/howto/howto_css_switch.asp */
.switch {
	position: relative;
	display: inline-block;
	width: 60px;
	height: 34px;
	transform: scale(.65);
}
.switch input {
	opacity: 0;
	width: 0;
	height: 0;
}
.switch .slider {
	position: absolute;
	cursor: pointer;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background-color: #6c757d;
	-webkit-transition: .4s;
	transition: .4s;
}
.switch .slider:before {
	position: absolute;
	content: "";
	height: 26px;
	width: 26px;
	left: 4px;
	bottom: 4px;
	background-color: white;
	-webkit-transition: .4s;
	transition: .4s;
}
input:checked + .slider {
	background-color: var(--main-color);
}
input:focus + .slider {
	box-shadow: 0 0 1px #2196F3;
}
input:checked + .slider:before {
	-webkit-transform: translateX(26px);
	-ms-transform: translateX(26px);
	transform: translateX(26px);
}
.switch .slider.round {
	border-radius: 34px;
}
.switch .slider.round:before {
	border-radius: 50%;
}

/* tabs */

.nav-tabs .nav-link {
	font-weight: bold;
	border: unset;
}

.nav-tabs button.nav-link.active {
    border-bottom: 4px solid var(--main-color) !important;
}

.nav-tabs .nav-item.show .nav-link, .nav-tabs .nav-link.active {
    border-color: transparent;
}

.nav-tabs .nav-link:hover {
    border-color: transparent;
	color: var(--hover-color);
}